/*

   iglasses.h

   10/14/96
   Drew Kessler (and Don Allison, sorta)


 Copyright(c) 1995, Georgia Institute of Technology

*/

#define IGLASSES_POLLED   'P'
#define IGLASSES_REQ      'S'
#define IGLASSES_BINARY   'B'
#define IGLASSES_METRIC   '?'
#define IGLASSES_RESET    '?'
#define IGLASSES_SEP      ','

#define IGLASSES_FIELDS "!M2" /* Euler */

#define IGLASSES_FILTER "7,7\r" /* Medium ??? */

#define IGLASSES_ANGLE_CONV (180.0/16384.0)

int  iglasses_open(trkDeviceStruct *deviceInfo, int deviceType, char *port, 
		  int receiver);
int  iglasses_getMatrix(trkDeviceStruct *deviceInfo, trkDevice receiver);
int  iglasses_close(trkDeviceStruct *deviceInfo, trkDevice receiver);
